Update restriction

This endpoint combines the increase, release, and execution flows into a single typed operation.

It applies one operation to an existing fund restriction identified by restricted_funds_id. The operation type in operation.type determines how the held funds change:

  • RESTRICT_FUNDS: increases the held amount of the restriction. A restriction with a zero held amount cannot be increased.

  • RELEASE_FUNDS: releases all or part of the held funds back to the available_balance.

  • EXECUTE_FUNDS: debits all or part of the held funds from the restriction.

NOTE: This endpoint requires an account token, which is an access token encoded with an external account ID. Tokens expire quickly and can result in a 401 Unauthorized message.

This endpoint generates the following events:

See Data and reporting for more information on events and setting up event notifications.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Restricted funds ID

Body Params

Restricted funds v2 request body. A single typed operation that increases, releases, or executes the held funds of an existing restriction.

float
required
0.0001 to 100000000000000000

Amount requested by the operation

The final applied amount might vary (refer to applied_amount) based on execution rules and the available balance at the time of execution.

Note:

  • For RESTRICT_FUNDS, this is the amount to be held.
  • For RELEASE_FUNDS, this is the amount to be released.
  • For EXECUTE_FUNDS, this is the amount to be debited from the held funds.
  • Precision follows the currency's minor units. For example:
    • Two decimals (USD, EUR): values use increments of 0.01
    • Three decimals (BHD, JOD, KWD, OMR, TND): values use increments of 0.001
    • Four‑decimal (CLF): values use increments of 0.0001
operation
object
required

Represents the type and data of the operation to apply to the restriction

string
length between 0 and 100

Brief description that helps identify a restriction

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json